float time = 0;
float time_inc = 0.01;
boolean draw = false;
boolean colored = true;
ArrayList<dot> dots = new ArrayList<dot>();

void setup(){
  fullScreen();
  background(0);

  
  for(int i = 50; i <= width; i+=100){
    for(int j = 50; j <= height; j+=100){
      dots.add(new dot(i,j));
    }
  }
}

void draw(){
  if(draw){
  for(dot d: dots){
    PVector loc = d.getLocation();
    if(PVector.dist(loc, new PVector(mouseX,mouseY)) <= 250){
        d.incR();
    }else{
      d.clear();
    }
    d.drawShape();
    if(d.getR() > 100){
      d.clear();
    }
  }
  }
   
  
}

void mousePressed(){
  draw = true;
  
}

void mouseReleased(){
  draw =  false;
  
}

void keyPressed(){
  if(key == 'c'){
      if(colored){
        for(dot d: dots){
          d.clear();
          d.setColor(color(random(255), random(255), random(255)));
        }
      }else{
        for(dot d: dots){
          d.clear();
          d.clearColor();
        }  
      }
      colored = !colored;
   }
   
   if(key == 's'){
     saveFrame("img-####.png");
   }
}