class dot{
  PVector location;
  int r;
  color col;
  
  public dot(){
    location = new PVector(random(width),random(height));
    r = 0;
    col = color(255,255,255);
  }
  
  public dot(int x , int y){
    location = new PVector(x,y);
    r = 0;
    col = color(255,255,255);
  }
  
  
  void drawShape(){
    noStroke();
    fill(col);
    ellipse(location.x,location.y,r,r);
  }
  
  void clear(){
    r = 0;
  }
  
  void clearColor(){
    col = color(255,255,255);
  }
  
  void setColor(color colorItem){
    col= colorItem;
  }
  
  void incR(){
    r++;
  }
  
  int getR(){
    return r;
  }
  
  PVector getLocation(){
    return location;
  }
  
  

}